# -*- coding: utf-8 -*-
"""
Created on Fri Aug 19 09:31:50 2022

@author: schulenberg
"""
import os
import numpy as np
import matplotlib.pyplot as plt


exc_files_list = []

for root, dirs, files in os.walk('.'):
   for name in files:
      exc_file_path = os.path.join(root, name)
      if 'e_tx.dat' in exc_file_path:
          print(exc_file_path)
          exc_files_list.append(exc_file_path)


for exc_set in exc_files_list:
    #data = np.fromfile(exc_set).reshape((400,200)).T

    data = np.flipud(np.loadtxt(exc_set))
    
    fig1, ax1 = plt.subplots(constrained_layout=True)
    p1 = ax1.contourf(data, levels=20)
    #ax1.set_title(exc_set.split('\\')[2])
    
    plt.savefig(exc_set[:-4]+'.png', dpi=100, bbox_inches = 'tight')
    plt.show()
    plt.close()
    
    #break

'''
    
numofsubplots = len(XTdatafull_list)
figure, axlist = plt.subplots(1, numofsubplots, sharey=False)
figure.set_size_inches(13, 2)
#figure.tight_layout(pad=0.0)
x_ticks=np.array([0,20,40,60])
y_ticks=np.array([0,(XTdatafull_list[0].shape[0]-1)/2,XTdatafull_list[0].shape[0]-1])
plt.setp(axlist, xticks=x_ticks, xticklabels=x_ticks*2)
plt.setp(axlist, yticks=y_ticks, yticklabels=[0,0.5,1])
plt.setp(axlist, xlabel='time / ns')
plt.setp(axlist, ylabel='distance from\ngrounded electrode / mm')

for dataindex, axisnr in enumerate(axlist):
    img = axisnr.contourf(XTdatafull_list[dataindex], levels = lvs)
    if dataindex > 0: #trun off inner axes only
        axisnr.yaxis.set_visible(False)
    #axisnr.axis('off')
    axisnr.set_title(filenames_list[dataindex][0:10])
    #figure.colorbar(img, ax=axisnr)
    #img = axisnr.contourf(XTdatafull_list[dataindex], norm=mpl.colors.Normalize(vmin=0, vmax=450), vmin=0, vmax=450)
    #img = axisnr.contourf(XTdatafull_list[dataindex], vmin=0, vmax=450)
    
figure.subplots_adjust(wspace=0.1, hspace=0.1)

if normalize_globally:
    plt.figtext(0.9, -0.2, 'globally normalized', horizontalalignment='right')
    filename = filenames_list[0][5:10] + "-" + filenames_list[-1][5:10] + "_global.png"
    #plt.savefig(filename, dpi =300, bbox_inches = "tight")
else:
    plt.figtext(0.9, -0.2, 'individually normalized', horizontalalignment='right')
    filename = filenames_list[0][5:10] + "-" + filenames_list[-1][5:10] + "_local.png"
    #plt.savefig(filename, dpi =300, bbox_inches = "tight")

'''